---
- name: Deploy
  hosts: all
  vars:
    ansistrano_deploy_from: "/data"
    ansistrano_deploy_to: "/var/www/french-american.org"
    ansistrano_keep_releases: 3
    ansistrano_deploy_via: git
    ansistrano_before_symlink_tasks_file: "/data/docker/ansistrano/prod/_hook_before_symlink.yml"
    ansistrano_after_symlink_tasks_file: "/data/docker/ansistrano/prod/_hook_after_symlink.yml"


    ansistrano_shared_paths:
      - public/wp-content/uploads
    ansistrano_shared_files:
      - .env

    ansistrano_git_repo: ssh://git@gitlab.biig.fr:2224/french-american-foundation/frenchamerican-fr.git # Location of the git repository
    ansistrano_git_branch: "master"
    ansistrano_git_ssh_opts: "-o StrictHostKeyChecking=no" # Additional ssh options to be used in Git
    ansistrano_git_depth: 1 # Additional history truncated to the specified number or revisions

    # For cache reset
    php_path: "/usr/bin/php"
    cachetool_path: "{{ ansistrano_deploy_to }}/cachetool.phar"
    cachetool_options: "--fcgi=/var/run/php/php7.2-fpm.sock"
  roles:
    - { role: ansistrano.deploy }
